> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vos.verolabs.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List order reject rules

> List order reject rules



## OpenAPI

````yaml openapi.oms.vi.json GET /api/v1/orders/risk/rules
openapi: 3.0.3
info:
  title: VOS OMS Public API
  version: 1.0.0
  description: >-
    Public REST API surface for Vero OMS. Authentication requests use
    platform.verolabs.co. REST API requests use api-oms.verolabs.co.
servers:
  - url: https://platform.verolabs.co
    description: Authentication host
  - url: https://api-oms.verolabs.co
    description: REST API host
security: []
tags:
  - name: Authentication
    description: Xác thực tài khoản và khôi phục mật khẩu.
  - name: Trading
    description: Order entry, quote, IOI, and trading activity APIs.
  - name: Portfolio & Risk
    description: Accounts, holdings, mappings, and risk-rule read APIs.
  - name: Administration
    description: Permissions, groups, workflow, reference data, and audit APIs.
  - name: System & Diagnostics
    description: Health and latency endpoints.
paths:
  /api/v1/orders/risk/rules:
    get:
      tags:
        - Portfolio & Risk
      summary: List order reject rules
      description: |-
        Returns live order-risk reject rules.

        Requires `Authorization: Bearer <jwt>` from `POST /api/auth/login`.
      operationId: get_api_v1_orders_risk_rules
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderRiskRulesResponse'
      security:
        - bearerAuth: []
      servers:
        - url: https://api-oms.verolabs.co
components:
  schemas:
    OrderRiskRulesResponse:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Indicates whether the operation completed successfully.
        detail:
          type: string
          description: Detailed information for the record.
        data:
          type: array
          items:
            $ref: '#/components/schemas/OrderRestrictionRule'
          description: Operation-specific response payload.
      description: OrderRiskRulesResponse schema.
    OrderRestrictionRule:
      type: object
      properties:
        kind:
          type: string
          description: ORDER_BLOCK_TRADE_{MARKET,PRODUCT_GROUP,SYMBOL}_{ALL,BUY,SELL}.
        scope:
          type: string
          enum:
            - SYSTEM
            - CHANNEL
            - ACCOUNT
            - SYMBOL
          description: Rule scope.
        target:
          type: string
          description: Account code or *.
        match:
          type: string
          description: Market/product group/ISIN or *.
        value:
          type: number
          format: double
          description: 1 blocks, 0 disables.
      required:
        - kind
        - scope
        - target
        - match
        - value
      description: OrderRestrictionRule schema.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````